Create a contact
curl --request POST \
--url https://api.open.cx/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"email": "[email protected]",
"phone": "<string>",
"name": "<string>",
"custom_data": {},
"http_action_overrides": {
"query_params": {},
"path_params": {},
"body_params": {},
"headers": {}
}
}
}
'import requests
url = "https://api.open.cx/contacts"
payload = { "contact": {
"email": "[email protected]",
"phone": "<string>",
"name": "<string>",
"custom_data": {},
"http_action_overrides": {
"query_params": {},
"path_params": {},
"body_params": {},
"headers": {}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {
email: '[email protected]',
phone: '<string>',
name: '<string>',
custom_data: {},
http_action_overrides: {query_params: {}, path_params: {}, body_params: {}, headers: {}}
}
})
};
fetch('https://api.open.cx/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Contacts
Create a contact
Create a new contact. Use when your application needs to create, look up, or maintain the contact records that the AI agents converse with.
POST
/
contacts
Create a contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
Default Response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Was this page helpful?
⌘I